import React, { FC } from 'react';

interface ProvenireIconMonochrome {
    light: boolean
}

const ProvenireIconMonochrome: FC<ProvenireIconMonochrome> = ({light}) => {
    const color = light ? "#FFFFFF" : "#000000";

  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="400"
      height="400"
      viewBox="0 0 105.83333 105.83333"
    >
      <g>
        <g>
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 85.258878,126.56005 c -21.451024,-17.45048 -10.725512,-8.72524 0,0 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 57.80863,132.74535 8.699632,-15.65937 2.505496,3.89745 3.131868,-3.20147 h 2.714287 l 4.8718,8.14287 c 0,0 1.043949,2.50547 -0.417579,4.03662 -1.46154,1.53115 -3.47986,2.29671 -4.941398,2.15751 -1.461543,-0.13916 -3.062273,-0.48718 -6.19414,-1.04396 -3.13187,-0.55677 -5.567767,-1.11355 -7.238098,-0.13917 -1.67033,0.97435 -3.131868,1.80953 -3.131868,1.80953 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 67.343431,115.69404 2.227107,-4.10621 c 0,0 0.528134,-1.26057 1.183152,-0.086 0.672816,1.20649 2.853475,4.60973 2.853475,4.60973 h -1.809524 l -2.435895,2.7143 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 75.719313,116.21774 h 3.646874 c 0.159549,0 1.094066,0.0457 1.549933,0.56981 0.45585,0.52426 8.706899,10.80388 8.706899,10.80388 0,0 -3.090749,-2.29146 -4.763713,-2.84912 -1.641097,-0.54704 -3.532433,-0.88883 -4.057171,-0.88893 -0.159549,-3e-5 -5.082822,-7.63564 -5.082822,-7.63564 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 57.692929,135.73867 c 0,0 1.465145,-2.21367 4.273323,-2.79874 1.822074,-0.37962 4.453888,-0.0602 4.453888,-0.0602 0,0 5.025675,0.90282 5.687735,0.96301 0.662067,0.0602 3.581172,0.0904 4.574265,-0.24077 0.99309,-0.33102 3.297011,-1.30192 4.122855,-2.67834 1.354212,-2.25704 0.776516,-3.78854 0.150428,-5.14603 -0.626037,-1.3575 0.692168,0.3912 1.294039,1.77552 0.280132,0.64428 0.722253,1.83573 0.06024,3.40061 -0.662049,1.56487 -2.858918,3.61126 -6.199329,4.30342 -3.340415,0.69215 -8.065146,1.29404 -10.021246,2.58807 -1.9561,1.29402 -2.19685,1.68526 -2.919105,2.55797 -0.722249,0.87273 -1.926001,4.09274 -1.444501,5.17612 0.481499,1.08339 -2.717964,-2.41208 -3.614412,-5.2832 -0.75503,-2.41819 -0.418162,-4.55747 -0.418162,-4.55747 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 63.922351,147.95676 c 0,0 -0.120374,-2.88901 0.963007,-4.45389 1.083376,-1.56486 3.099662,-3.06956 5.085853,-4.06266 1.986194,-0.9931 4.152953,-1.32412 5.3868,-1.59498 1.233847,-0.27084 3.340418,-0.81254 4.363606,-1.50469 1.02319,-0.69215 2.522661,-1.5988 3.129754,-3.4608 0.448756,-1.37632 0.73026,-2.88419 0.541694,-4.15293 -0.188557,-1.26872 -0.812547,-2.76864 -1.083382,-3.09967 -0.378262,-0.46232 0.465239,0.42795 0.631961,0.69214 0.369806,0.58604 0.511604,0.81257 0.782441,1.92602 0.270862,1.11347 0.541709,3.37051 -0.240738,5.35669 -0.782451,1.98622 -3.009393,4.60436 -3.912195,5.62755 -0.902822,1.0232 -2.798734,3.4307 -3.370516,5.95859 -0.571778,2.52789 -0.15046,3.55108 0.180563,4.36361 0.33103,0.81254 1.294031,1.9862 1.474601,2.19685 0.180554,0.21065 -3.099671,0.36112 -4.483983,0.18056 -1.384319,-0.18056 -4.574261,-0.87273 -6.109048,-1.71535 -1.534786,-0.84263 -3.340418,-2.25704 -3.340418,-2.25704 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 81.166117,150.75549 c 0,0 -1.655158,-1.4445 -1.534792,-3.9122 0.124018,-2.5427 0.495947,-3.41236 1.865823,-5.83821 1.444496,-2.55796 2.377438,-4.09275 2.889023,-5.47706 0.511605,-1.38431 0.932901,-2.94922 0.872707,-4.60436 -0.06022,-1.65517 -0.511594,-3.4307 -0.902808,-3.94229 -0.391212,-0.5116 -0.692173,-0.99311 -0.692173,-0.99311 0,0 0.571798,0.48151 0.662089,0.63197 0.09038,0.15043 0.481481,0.57179 0.66206,0.96301 0.18055,0.39121 0.812521,1.56485 0.932913,2.37742 0.120413,0.81252 0.63195,2.34731 0.240738,4.99556 -0.391213,2.64827 -0.662061,3.28025 -0.451386,4.39372 0.210648,1.11346 0.782435,2.25703 1.47459,2.91909 0.692168,0.66208 1.246351,1.21306 2.317228,1.65516 0.139016,0.0574 -0.902817,1.80562 -2.076466,2.889 -1.173675,1.08338 -2.97931,2.4677 -4.152958,3.15986 -1.17367,0.69216 -2.106566,0.78244 -2.106566,0.78244 z"
          />
          <path
            style={{ fill: color, stroke: '#070000', strokeWidth: 0, strokeLinecap: 'round', strokeDasharray: 'none', strokeDashoffset: 0, strokeOpacity: 0.982759 }}
            d="m 85.258878,126.56005 c 0,0 2.076482,0.78244 3.039482,1.59499 0.963001,0.81252 2.768631,2.67833 3.099671,3.46077 0.331019,0.78246 1.023188,1.89592 0.902811,4.06266 -0.120407,2.16676 -0.963004,4.90531 -1.11346,5.20624 -0.03006,0.0602 -1.710352,-0.55102 -2.618179,-2.25703 -0.487054,-0.91531 -0.782441,-2.4978 -0.722253,-4.21314 0.06144,-1.75082 -0.270838,-3.76175 -0.66206,-4.69463 -0.391212,-0.93291 -1.203738,-2.25705 -1.414406,-2.52789 -0.210648,-0.27085 -0.511606,-0.63197 -0.511606,-0.63197 z"
          />
        </g>
      </g>
    </svg>
  );
};

export default ProvenireIconMonochrome;
